// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: eldarica-misc/003-horn_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "003-horn_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int INV1_0;
    int INV1_1;
    int INV1_2;
    int INV1_3;
    int INV1_4;
    int INV1_5;
    int INV1_6;
    int INV1_7;
    int INV1_8;
    int INV1_9;
    int A_0;
    int B_0;
    int C_0;
    int D_0;
    int E_0;
    int F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    int L_0;
    int M_0;
    int N_0;
    int O_0;
    int P_0;
    int Q_0;
    int A_1;
    int B_1;
    int C_1;
    int D_1;
    int E_1;
    int F_1;
    int G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    int N_1;
    int O_1;
    int P_1;
    int Q_1;
    int R_1;
    int S_1;
    int T_1;
    int A_2;
    int B_2;
    int C_2;
    int D_2;
    int E_2;
    int F_2;
    int G_2;
    int H_2;
    int I_2;
    int J_2;
    int K_2;
    int L_2;
    int M_2;
    int N_2;
    int O_2;
    int P_2;
    int Q_2;
    int A_3;
    int B_3;
    int C_3;
    int D_3;
    int E_3;
    int F_3;
    int G_3;
    int H_3;
    int I_3;
    int v_9_3;
    int A_4;
    int B_4;
    int C_4;
    int D_4;
    int E_4;
    int F_4;
    int G_4;
    int H_4;
    int I_4;
    int J_4;
    int K_4;
    int L_4;
    int M_4;
    int N_4;

    if (((INV1_0 <= -1000000000) || (INV1_0 >= 1000000000))
        || ((INV1_1 <= -1000000000) || (INV1_1 >= 1000000000))
        || ((INV1_2 <= -1000000000) || (INV1_2 >= 1000000000))
        || ((INV1_3 <= -1000000000) || (INV1_3 >= 1000000000))
        || ((INV1_4 <= -1000000000) || (INV1_4 >= 1000000000))
        || ((INV1_5 <= -1000000000) || (INV1_5 >= 1000000000))
        || ((INV1_6 <= -1000000000) || (INV1_6 >= 1000000000))
        || ((INV1_7 <= -1000000000) || (INV1_7 >= 1000000000))
        || ((INV1_8 <= -1000000000) || (INV1_8 >= 1000000000))
        || ((INV1_9 <= -1000000000) || (INV1_9 >= 1000000000))
        || ((A_0 <= -1000000000) || (A_0 >= 1000000000))
        || ((B_0 <= -1000000000) || (B_0 >= 1000000000))
        || ((C_0 <= -1000000000) || (C_0 >= 1000000000))
        || ((D_0 <= -1000000000) || (D_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((L_0 <= -1000000000) || (L_0 >= 1000000000))
        || ((M_0 <= -1000000000) || (M_0 >= 1000000000))
        || ((N_0 <= -1000000000) || (N_0 >= 1000000000))
        || ((O_0 <= -1000000000) || (O_0 >= 1000000000))
        || ((P_0 <= -1000000000) || (P_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((B_1 <= -1000000000) || (B_1 >= 1000000000))
        || ((C_1 <= -1000000000) || (C_1 >= 1000000000))
        || ((D_1 <= -1000000000) || (D_1 >= 1000000000))
        || ((E_1 <= -1000000000) || (E_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((G_1 <= -1000000000) || (G_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((N_1 <= -1000000000) || (N_1 >= 1000000000))
        || ((O_1 <= -1000000000) || (O_1 >= 1000000000))
        || ((P_1 <= -1000000000) || (P_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((S_1 <= -1000000000) || (S_1 >= 1000000000))
        || ((T_1 <= -1000000000) || (T_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000))
        || ((B_2 <= -1000000000) || (B_2 >= 1000000000))
        || ((C_2 <= -1000000000) || (C_2 >= 1000000000))
        || ((D_2 <= -1000000000) || (D_2 >= 1000000000))
        || ((E_2 <= -1000000000) || (E_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000))
        || ((J_2 <= -1000000000) || (J_2 >= 1000000000))
        || ((K_2 <= -1000000000) || (K_2 >= 1000000000))
        || ((L_2 <= -1000000000) || (L_2 >= 1000000000))
        || ((M_2 <= -1000000000) || (M_2 >= 1000000000))
        || ((N_2 <= -1000000000) || (N_2 >= 1000000000))
        || ((O_2 <= -1000000000) || (O_2 >= 1000000000))
        || ((P_2 <= -1000000000) || (P_2 >= 1000000000))
        || ((Q_2 <= -1000000000) || (Q_2 >= 1000000000))
        || ((A_3 <= -1000000000) || (A_3 >= 1000000000))
        || ((B_3 <= -1000000000) || (B_3 >= 1000000000))
        || ((C_3 <= -1000000000) || (C_3 >= 1000000000))
        || ((D_3 <= -1000000000) || (D_3 >= 1000000000))
        || ((E_3 <= -1000000000) || (E_3 >= 1000000000))
        || ((F_3 <= -1000000000) || (F_3 >= 1000000000))
        || ((G_3 <= -1000000000) || (G_3 >= 1000000000))
        || ((H_3 <= -1000000000) || (H_3 >= 1000000000))
        || ((I_3 <= -1000000000) || (I_3 >= 1000000000))
        || ((v_9_3 <= -1000000000) || (v_9_3 >= 1000000000))
        || ((A_4 <= -1000000000) || (A_4 >= 1000000000))
        || ((B_4 <= -1000000000) || (B_4 >= 1000000000))
        || ((C_4 <= -1000000000) || (C_4 >= 1000000000))
        || ((D_4 <= -1000000000) || (D_4 >= 1000000000))
        || ((E_4 <= -1000000000) || (E_4 >= 1000000000))
        || ((F_4 <= -1000000000) || (F_4 >= 1000000000))
        || ((G_4 <= -1000000000) || (G_4 >= 1000000000))
        || ((H_4 <= -1000000000) || (H_4 >= 1000000000))
        || ((I_4 <= -1000000000) || (I_4 >= 1000000000))
        || ((J_4 <= -1000000000) || (J_4 >= 1000000000))
        || ((K_4 <= -1000000000) || (K_4 >= 1000000000))
        || ((L_4 <= -1000000000) || (L_4 >= 1000000000))
        || ((M_4 <= -1000000000) || (M_4 >= 1000000000))
        || ((N_4 <= -1000000000) || (N_4 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((H_3 == 0) && (E_3 == 0) && (D_3 == 0) && (C_3 == 0) && (B_3 == G_3)
         && (A_3 == F_3) && (I_3 == 0) && (v_9_3 == G_3)))
        abort ();
    INV1_0 = A_3;
    INV1_1 = B_3;
    INV1_2 = C_3;
    INV1_3 = D_3;
    INV1_4 = E_3;
    INV1_5 = F_3;
    INV1_6 = G_3;
    INV1_7 = H_3;
    INV1_8 = v_9_3;
    INV1_9 = I_3;
    C_2 = __VERIFIER_nondet_int ();
    if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
        abort ();
    D_2 = __VERIFIER_nondet_int ();
    if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
        abort ();
    E_2 = __VERIFIER_nondet_int ();
    if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
        abort ();
    N_2 = __VERIFIER_nondet_int ();
    if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
        abort ();
    O_2 = __VERIFIER_nondet_int ();
    if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
        abort ();
    P_2 = __VERIFIER_nondet_int ();
    if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
        abort ();
    Q_2 = __VERIFIER_nondet_int ();
    if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
        abort ();
    A_2 = INV1_0;
    B_2 = INV1_1;
    K_2 = INV1_2;
    M_2 = INV1_3;
    L_2 = INV1_4;
    F_2 = INV1_5;
    G_2 = INV1_6;
    H_2 = INV1_7;
    I_2 = INV1_8;
    J_2 = INV1_9;
    if (!
        ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
         && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
         && ((A_2 + (-1 * K_2)) >= 1) && ((L_2 + (5 * K_2) + B_2) == E_2)))
        abort ();
    INV1_0 = A_2;
    INV1_1 = B_2;
    INV1_2 = C_2;
    INV1_3 = D_2;
    INV1_4 = E_2;
    INV1_5 = F_2;
    INV1_6 = G_2;
    INV1_7 = H_2;
    INV1_8 = I_2;
    INV1_9 = J_2;
    goto INV1_2;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  INV1_0:
    switch (__VERIFIER_nondet_int ())
      {
      case 0:
          K_4 = __VERIFIER_nondet_int ();
          if (((K_4 <= -1000000000) || (K_4 >= 1000000000)))
              abort ();
          L_4 = __VERIFIER_nondet_int ();
          if (((L_4 <= -1000000000) || (L_4 >= 1000000000)))
              abort ();
          M_4 = __VERIFIER_nondet_int ();
          if (((M_4 <= -1000000000) || (M_4 >= 1000000000)))
              abort ();
          N_4 = __VERIFIER_nondet_int ();
          if (((N_4 <= -1000000000) || (N_4 >= 1000000000)))
              abort ();
          C_4 = INV1_0;
          G_4 = INV1_1;
          D_4 = INV1_2;
          H_4 = INV1_3;
          A_4 = INV1_4;
          E_4 = INV1_5;
          I_4 = INV1_6;
          F_4 = INV1_7;
          J_4 = INV1_8;
          B_4 = INV1_9;
          if (!
              ((K_4 == L_4) && (!(A_4 == B_4)) && (!((E_4 + (-1 * F_4)) >= 1))
               && (!((C_4 + (-1 * D_4)) >= 1)) && (M_4 == N_4)))
              abort ();
          goto main_error;

      case 1:
          H_0 = __VERIFIER_nondet_int ();
          if (((H_0 <= -1000000000) || (H_0 >= 1000000000)))
              abort ();
          I_0 = __VERIFIER_nondet_int ();
          if (((I_0 <= -1000000000) || (I_0 >= 1000000000)))
              abort ();
          J_0 = __VERIFIER_nondet_int ();
          if (((J_0 <= -1000000000) || (J_0 >= 1000000000)))
              abort ();
          N_0 = __VERIFIER_nondet_int ();
          if (((N_0 <= -1000000000) || (N_0 >= 1000000000)))
              abort ();
          O_0 = __VERIFIER_nondet_int ();
          if (((O_0 <= -1000000000) || (O_0 >= 1000000000)))
              abort ();
          P_0 = __VERIFIER_nondet_int ();
          if (((P_0 <= -1000000000) || (P_0 >= 1000000000)))
              abort ();
          Q_0 = __VERIFIER_nondet_int ();
          if (((Q_0 <= -1000000000) || (Q_0 >= 1000000000)))
              abort ();
          A_0 = INV1_0;
          B_0 = INV1_1;
          C_0 = INV1_2;
          D_0 = INV1_3;
          E_0 = INV1_4;
          F_0 = INV1_5;
          G_0 = INV1_6;
          K_0 = INV1_7;
          L_0 = INV1_8;
          M_0 = INV1_9;
          if (!
              ((P_0 == Q_0) && (N_0 == O_0) && (L_0 == (I_0 + -5))
               && (K_0 == (H_0 + -1)) && ((F_0 + (-1 * K_0)) >= 1)
               && (!((A_0 + (-1 * C_0)) >= 1)) && ((M_0 + L_0) == J_0)))
              abort ();
          INV1_0 = A_0;
          INV1_1 = B_0;
          INV1_2 = C_0;
          INV1_3 = D_0;
          INV1_4 = E_0;
          INV1_5 = F_0;
          INV1_6 = G_0;
          INV1_7 = H_0;
          INV1_8 = I_0;
          INV1_9 = J_0;
          C_2 = __VERIFIER_nondet_int ();
          if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          N_2 = __VERIFIER_nondet_int ();
          if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
              abort ();
          O_2 = __VERIFIER_nondet_int ();
          if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
              abort ();
          P_2 = __VERIFIER_nondet_int ();
          if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
              abort ();
          Q_2 = __VERIFIER_nondet_int ();
          if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
              abort ();
          A_2 = INV1_0;
          B_2 = INV1_1;
          K_2 = INV1_2;
          M_2 = INV1_3;
          L_2 = INV1_4;
          F_2 = INV1_5;
          G_2 = INV1_6;
          H_2 = INV1_7;
          I_2 = INV1_8;
          J_2 = INV1_9;
          if (!
              ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
               && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
               && ((A_2 + (-1 * K_2)) >= 1)
               && ((L_2 + (5 * K_2) + B_2) == E_2)))
              abort ();
          INV1_0 = A_2;
          INV1_1 = B_2;
          INV1_2 = C_2;
          INV1_3 = D_2;
          INV1_4 = E_2;
          INV1_5 = F_2;
          INV1_6 = G_2;
          INV1_7 = H_2;
          INV1_8 = I_2;
          INV1_9 = J_2;
          goto INV1_2;

      case 2:
          C_2 = __VERIFIER_nondet_int ();
          if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          N_2 = __VERIFIER_nondet_int ();
          if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
              abort ();
          O_2 = __VERIFIER_nondet_int ();
          if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
              abort ();
          P_2 = __VERIFIER_nondet_int ();
          if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
              abort ();
          Q_2 = __VERIFIER_nondet_int ();
          if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
              abort ();
          A_2 = INV1_0;
          B_2 = INV1_1;
          K_2 = INV1_2;
          M_2 = INV1_3;
          L_2 = INV1_4;
          F_2 = INV1_5;
          G_2 = INV1_6;
          H_2 = INV1_7;
          I_2 = INV1_8;
          J_2 = INV1_9;
          if (!
              ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
               && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
               && ((A_2 + (-1 * K_2)) >= 1)
               && ((L_2 + (5 * K_2) + B_2) == E_2)))
              abort ();
          INV1_0 = A_2;
          INV1_1 = B_2;
          INV1_2 = C_2;
          INV1_3 = D_2;
          INV1_4 = E_2;
          INV1_5 = F_2;
          INV1_6 = G_2;
          INV1_7 = H_2;
          INV1_8 = I_2;
          INV1_9 = J_2;
          C_2 = __VERIFIER_nondet_int ();
          if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          N_2 = __VERIFIER_nondet_int ();
          if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
              abort ();
          O_2 = __VERIFIER_nondet_int ();
          if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
              abort ();
          P_2 = __VERIFIER_nondet_int ();
          if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
              abort ();
          Q_2 = __VERIFIER_nondet_int ();
          if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
              abort ();
          A_2 = INV1_0;
          B_2 = INV1_1;
          K_2 = INV1_2;
          M_2 = INV1_3;
          L_2 = INV1_4;
          F_2 = INV1_5;
          G_2 = INV1_6;
          H_2 = INV1_7;
          I_2 = INV1_8;
          J_2 = INV1_9;
          if (!
              ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
               && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
               && ((A_2 + (-1 * K_2)) >= 1)
               && ((L_2 + (5 * K_2) + B_2) == E_2)))
              abort ();
          INV1_0 = A_2;
          INV1_1 = B_2;
          INV1_2 = C_2;
          INV1_3 = D_2;
          INV1_4 = E_2;
          INV1_5 = F_2;
          INV1_6 = G_2;
          INV1_7 = H_2;
          INV1_8 = I_2;
          INV1_9 = J_2;
          goto INV1_2;

      case 3:
          C_2 = __VERIFIER_nondet_int ();
          if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          N_2 = __VERIFIER_nondet_int ();
          if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
              abort ();
          O_2 = __VERIFIER_nondet_int ();
          if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
              abort ();
          P_2 = __VERIFIER_nondet_int ();
          if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
              abort ();
          Q_2 = __VERIFIER_nondet_int ();
          if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
              abort ();
          A_2 = INV1_0;
          B_2 = INV1_1;
          K_2 = INV1_2;
          M_2 = INV1_3;
          L_2 = INV1_4;
          F_2 = INV1_5;
          G_2 = INV1_6;
          H_2 = INV1_7;
          I_2 = INV1_8;
          J_2 = INV1_9;
          if (!
              ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
               && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
               && ((A_2 + (-1 * K_2)) >= 1)
               && ((L_2 + (5 * K_2) + B_2) == E_2)))
              abort ();
          INV1_0 = A_2;
          INV1_1 = B_2;
          INV1_2 = C_2;
          INV1_3 = D_2;
          INV1_4 = E_2;
          INV1_5 = F_2;
          INV1_6 = G_2;
          INV1_7 = H_2;
          INV1_8 = I_2;
          INV1_9 = J_2;
          goto INV1_2;

      default:
          abort ();
      }
  INV1_1:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          C_1 = __VERIFIER_nondet_int ();
          if (((C_1 <= -1000000000) || (C_1 >= 1000000000)))
              abort ();
          D_1 = __VERIFIER_nondet_int ();
          if (((D_1 <= -1000000000) || (D_1 >= 1000000000)))
              abort ();
          E_1 = __VERIFIER_nondet_int ();
          if (((E_1 <= -1000000000) || (E_1 >= 1000000000)))
              abort ();
          H_1 = __VERIFIER_nondet_int ();
          if (((H_1 <= -1000000000) || (H_1 >= 1000000000)))
              abort ();
          I_1 = __VERIFIER_nondet_int ();
          if (((I_1 <= -1000000000) || (I_1 >= 1000000000)))
              abort ();
          J_1 = __VERIFIER_nondet_int ();
          if (((J_1 <= -1000000000) || (J_1 >= 1000000000)))
              abort ();
          Q_1 = __VERIFIER_nondet_int ();
          if (((Q_1 <= -1000000000) || (Q_1 >= 1000000000)))
              abort ();
          R_1 = __VERIFIER_nondet_int ();
          if (((R_1 <= -1000000000) || (R_1 >= 1000000000)))
              abort ();
          S_1 = __VERIFIER_nondet_int ();
          if (((S_1 <= -1000000000) || (S_1 >= 1000000000)))
              abort ();
          T_1 = __VERIFIER_nondet_int ();
          if (((T_1 <= -1000000000) || (T_1 >= 1000000000)))
              abort ();
          A_1 = INV1_0;
          B_1 = INV1_1;
          K_1 = INV1_2;
          P_1 = INV1_3;
          L_1 = INV1_4;
          F_1 = INV1_5;
          G_1 = INV1_6;
          M_1 = INV1_7;
          N_1 = INV1_8;
          O_1 = INV1_9;
          if (!
              ((((5 * K_1) + B_1) == D_1) && ((O_1 + N_1) == J_1)
               && (S_1 == T_1) && (Q_1 == R_1) && (N_1 == (I_1 + -5))
               && (M_1 == (H_1 + -1)) && (K_1 == (C_1 + -1))
               && ((A_1 + (-1 * K_1)) >= 1) && ((F_1 + (-1 * M_1)) >= 1)
               && ((L_1 + (5 * K_1) + B_1) == E_1)))
              abort ();
          INV1_0 = A_1;
          INV1_1 = B_1;
          INV1_2 = C_1;
          INV1_3 = D_1;
          INV1_4 = E_1;
          INV1_5 = F_1;
          INV1_6 = G_1;
          INV1_7 = H_1;
          INV1_8 = I_1;
          INV1_9 = J_1;
          goto INV1_0;

      case 1:
          C_2 = __VERIFIER_nondet_int ();
          if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          N_2 = __VERIFIER_nondet_int ();
          if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
              abort ();
          O_2 = __VERIFIER_nondet_int ();
          if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
              abort ();
          P_2 = __VERIFIER_nondet_int ();
          if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
              abort ();
          Q_2 = __VERIFIER_nondet_int ();
          if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
              abort ();
          A_2 = INV1_0;
          B_2 = INV1_1;
          K_2 = INV1_2;
          M_2 = INV1_3;
          L_2 = INV1_4;
          F_2 = INV1_5;
          G_2 = INV1_6;
          H_2 = INV1_7;
          I_2 = INV1_8;
          J_2 = INV1_9;
          if (!
              ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
               && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
               && ((A_2 + (-1 * K_2)) >= 1)
               && ((L_2 + (5 * K_2) + B_2) == E_2)))
              abort ();
          INV1_0 = A_2;
          INV1_1 = B_2;
          INV1_2 = C_2;
          INV1_3 = D_2;
          INV1_4 = E_2;
          INV1_5 = F_2;
          INV1_6 = G_2;
          INV1_7 = H_2;
          INV1_8 = I_2;
          INV1_9 = J_2;
          goto INV1_2;

      default:
          abort ();
      }
  INV1_2:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          H_0 = __VERIFIER_nondet_int ();
          if (((H_0 <= -1000000000) || (H_0 >= 1000000000)))
              abort ();
          I_0 = __VERIFIER_nondet_int ();
          if (((I_0 <= -1000000000) || (I_0 >= 1000000000)))
              abort ();
          J_0 = __VERIFIER_nondet_int ();
          if (((J_0 <= -1000000000) || (J_0 >= 1000000000)))
              abort ();
          N_0 = __VERIFIER_nondet_int ();
          if (((N_0 <= -1000000000) || (N_0 >= 1000000000)))
              abort ();
          O_0 = __VERIFIER_nondet_int ();
          if (((O_0 <= -1000000000) || (O_0 >= 1000000000)))
              abort ();
          P_0 = __VERIFIER_nondet_int ();
          if (((P_0 <= -1000000000) || (P_0 >= 1000000000)))
              abort ();
          Q_0 = __VERIFIER_nondet_int ();
          if (((Q_0 <= -1000000000) || (Q_0 >= 1000000000)))
              abort ();
          A_0 = INV1_0;
          B_0 = INV1_1;
          C_0 = INV1_2;
          D_0 = INV1_3;
          E_0 = INV1_4;
          F_0 = INV1_5;
          G_0 = INV1_6;
          K_0 = INV1_7;
          L_0 = INV1_8;
          M_0 = INV1_9;
          if (!
              ((P_0 == Q_0) && (N_0 == O_0) && (L_0 == (I_0 + -5))
               && (K_0 == (H_0 + -1)) && ((F_0 + (-1 * K_0)) >= 1)
               && (!((A_0 + (-1 * C_0)) >= 1)) && ((M_0 + L_0) == J_0)))
              abort ();
          INV1_0 = A_0;
          INV1_1 = B_0;
          INV1_2 = C_0;
          INV1_3 = D_0;
          INV1_4 = E_0;
          INV1_5 = F_0;
          INV1_6 = G_0;
          INV1_7 = H_0;
          INV1_8 = I_0;
          INV1_9 = J_0;
          goto INV1_1;

      case 1:
          C_2 = __VERIFIER_nondet_int ();
          if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
              abort ();
          D_2 = __VERIFIER_nondet_int ();
          if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
              abort ();
          E_2 = __VERIFIER_nondet_int ();
          if (((E_2 <= -1000000000) || (E_2 >= 1000000000)))
              abort ();
          N_2 = __VERIFIER_nondet_int ();
          if (((N_2 <= -1000000000) || (N_2 >= 1000000000)))
              abort ();
          O_2 = __VERIFIER_nondet_int ();
          if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
              abort ();
          P_2 = __VERIFIER_nondet_int ();
          if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
              abort ();
          Q_2 = __VERIFIER_nondet_int ();
          if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
              abort ();
          A_2 = INV1_0;
          B_2 = INV1_1;
          K_2 = INV1_2;
          M_2 = INV1_3;
          L_2 = INV1_4;
          F_2 = INV1_5;
          G_2 = INV1_6;
          H_2 = INV1_7;
          I_2 = INV1_8;
          J_2 = INV1_9;
          if (!
              ((((5 * K_2) + B_2) == D_2) && (P_2 == Q_2) && (N_2 == O_2)
               && (K_2 == (C_2 + -1)) && (!((F_2 + (-1 * H_2)) >= 1))
               && ((A_2 + (-1 * K_2)) >= 1)
               && ((L_2 + (5 * K_2) + B_2) == E_2)))
              abort ();
          INV1_0 = A_2;
          INV1_1 = B_2;
          INV1_2 = C_2;
          INV1_3 = D_2;
          INV1_4 = E_2;
          INV1_5 = F_2;
          INV1_6 = G_2;
          INV1_7 = H_2;
          INV1_8 = I_2;
          INV1_9 = J_2;
          goto INV1_2;

      default:
          abort ();
      }

    // return expression

}

